> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Kafka cluster

> Retrieves a single Kafka cluster owned by the authenticated company, by UUID.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /kafka-clusters/{uuid}
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.130
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /kafka-clusters/{uuid}:
    get:
      tags:
        - Kafka Clusters
      summary: Get a Kafka cluster
      description: >-
        Retrieves a single Kafka cluster owned by the authenticated company, by
        UUID.
      operationId: kafka_cluster_detail
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsKafkaCluster'
          description: OK
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsKafkaCluster:
      properties:
        cloud:
          type: string
        createdAt:
          format: date-time
          type: string
        disableTLS:
          type: boolean
        externalBootstrapURL:
          type: string
        name:
          type: string
        region:
          type: string
        status:
          $ref: '#/components/schemas/EnumsKafkaStatus'
        usesScram:
          type: boolean
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
        - createdAt
        - status
        - externalBootstrapURL
        - usesScram
        - disableTLS
        - cloud
        - region
      type: object
    EnumsKafkaStatus:
      enum:
        - draft
        - active
      type: string
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.